Subject: RE: Request for clarification in next rev of RFC 3014 (NOTIFICATI ON-LOG-MIB)

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sun, 7 Jan 2001 21:50:03 +0100

Comment inline...

> ----------
> From: 	Bill Fenner[SMTP:[email-masked]]
> Sent: 	Sunday, January 07, 2001 4:47 AM
> To: 	[email-masked]
> Subject: 	Request for clarification in next rev of RFC 3014
> (NOTIFICATION-LOG-MIB)
> 
> 
> 
> Hi,
> 
>   There's an apparent conflict between RFC 3014 and RFC 2578.  RFC 3014
> has nlmLogVariableOpaqueVal, which is SYNTAX Opaque; RFC 2578 says
> 
>    A requirement on "standard" MIB modules is that no object may have a
>    SYNTAX clause value of Opaque.
> 
> I talked about this with Bert and he said that there was a discussion in
> this group and it was decided that having the object of type Opaque is
> correct way to allow the NOTIFICATION-LOG-MIB to handle Notifications
> that had Opaque objects in them (e.g. from non-"standard" modules).
> 
Yep... but I also mentioned that such a data type might be received from an
old (well are they so old yet?) SNMPv1 agent. At SMIv1 and SNMPv1 time,
Opaque was allowed.

> However, since RFC3014 is a "standard" module, it'd be nice to have a
> comment about why it's apparently conflicting with RFC2578.
> 
So it is not su much std vs non-std. But I do agree that (since this caused
confusion) it might be good to add some clarifying text in the next rev.

>   Since there's already discussion about revving the data structures, this
> request might become obsolete, but if that doesn't come to be I'd like
> to see this change come about when the NOTIFICATION-LOG-MIB gets advanced
> to Draft.
> 
> Thanks,
>   Bill
> 
Bert